> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca gli indirizzi bloccati e consentiti di Cloud Defender

> Elenca gli indirizzi bloccati su un dominio protetto (IP bloccati nella scheda Protezione) e quelli sempre consentiti (Whitelist), dal più recente. I blocchi scaduti non compaiono. Compaiono anche i blocchi automatici, che Cloud Defender aggiunge per le sorgenti che continuano a richiedere URL di attacco. Può leggere l'elenco ogni ruolo che vede il dominio.



## OpenAPI

````yaml get /api/v1/cloud-defender/{id}/ip-rules
openapi: 3.1.0
info:
  title: Aegister API
  version: 2.10.0
servers: []
security: []
paths:
  /api/v1/cloud-defender/{id}/ip-rules:
    get:
      tags:
        - cloud-defender
      summary: List a Cloud Defender domain's blocked and always-allowed addresses
      description: The live entries (an expired block is gone), newest first.
      operationId: cloud_defender_ip_rules_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        net:
                          type: string
                          description: One address, a v4 /24 or a v6 /64.
                        action:
                          type: string
                          enum:
                            - block
                            - allow
                          description: >-
                            `block`: banned on this domain. `allow`: on its
                            whitelist.
                        source:
                          type: string
                          enum:
                            - manual
                            - auto_ban
                          description: >-
                            `manual`: added by a person (this API, the console's
                            Protection tab or a Ban button). `auto_ban`: banned
                            automatically by Cloud Defender for 24 hours, after
                            a burst of requests it blocked as attacks on this
                            domain.
                        reason:
                          type: string
                        expires_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          description: When a ban ends. Null = until removed.
                        created_at:
                          type: string
                          format: date-time
                        created_by:
                          type:
                            - string
                            - 'null'
                          description: The user who added it.
                        event_id:
                          type:
                            - integer
                            - 'null'
                          description: >-
                            The detection a ban came from, while it still
                            exists.
              examples:
                BannedAndWhitelistedAddresses:
                  value:
                    error: 0
                    messages: []
                    data:
                      - id: 41
                        net: 203.0.113.7
                        action: block
                        source: manual
                        reason: Scanning our login page
                        expires_at: '2026-11-27T09:30:00Z'
                        created_at: '2026-10-28T09:30:00Z'
                        created_by: 00000000-0000-4000-8000-000000000000
                        event_id: 1520
                      - id: 40
                        net: 198.51.100.0/24
                        action: block
                        source: auto_ban
                        reason: ''
                        expires_at: '2026-10-29T08:12:00Z'
                        created_at: '2026-10-28T08:12:00Z'
                        created_by: 00000000-0000-4000-8000-000000000000
                        event_id: 1517
                      - id: 12
                        net: 2001:db8:10::/64
                        action: allow
                        source: manual
                        reason: Office
                        expires_at: null
                        created_at: '2026-10-01T10:00:00Z'
                        created_by: 00000000-0000-4000-8000-000000000000
                        event_id: null
                    total: 3
                  summary: Banned and whitelisted addresses
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.